<template>
  <div class="results position-absolute d-flex flex-column">
    <transition-group name="slide-up">
      <div class="card mb-4" v-if="boards.length > 0">
        <div class="card-header">
          Boards
        </div>
        <transition-group
          name="slide-up"
          tag="ul"
          class="list-group list-group-flush"
        >
          <li
            v-for="(board, index) in boards"
            :key="index"
            class="list-group-item"
          >
            <router-link to="/">{{ board.name }}</router-link>
          </li>
        </transition-group>
      </div>

      <div class="card" v-if="cards.length > 0">
        <div class="card-header">
          Cards
        </div>
        <transition-group
          name="slide-up"
          tag="ul"
          class="list-group list-group-flush"
        >
          <li
            v-for="(card, index) in cards"
            :key="index"
            class="list-group-item"
          >
            <router-link to="/">{{ card.name }}</router-link>
          </li>
        </transition-group>
      </div>
    </transition-group>
  </div>
</template>

<script lang="ts">
import { Board, Card } from "@/core/database";
import { defineComponent, PropType } from "vue";

export default defineComponent({
  props: {
    boards: {
      type: Array as PropType<Board[]>,
      default: () => [],
    },
    cards: {
      type: Array as PropType<Card[]>,
      default: () => [],
    },
  },
});
</script>

<style scoped>
.results {
  z-index: 1050;
  left: 50%;
  width: 50%;
  transform: translateX(-50%);
}

.slide-up-enter-active,
.slide-up-leave-active {
  transition: opacity 0.5s ease;
}

.slide-up-enter-from,
.slide-up-leave-to {
  opacity: 0;
}

@media (min-width: 992px) {
  .results {
    width: 30%;
  }
}
</style>
